# Class MeasurementData

java.lang.Object
org.jmol.modelset.MeasurementData

All Implemented Interfaces:
  `JmolMeasurementClient`

public class MeasurementData extends Object implements JmolMeasurementClient

## Field Summary

Fields
Modifier and Type
Field
Description
`BS`
`bsSelected`
`short`
`colix`
`float`
`fixedValue`
`Map<String,Integer>`
`htMin`
`Boolean`
`intramolecular`
`boolean`
`isAll`
`int`
`mad`
`int`
`modelIndex`
`boolean`
`mustBeConnected`
`boolean`
`mustNotBeConnected`
`String`
`note`
`Lst<Object>`
`points`
`String`
`property`
`RadiusData`
`radiusData`
`String`
`strFormat`
`Text`
`text`
`String`
`thisID`
`TickInfo`
`tickInfo`
`int`
`tokAction`
`String`
`units`

## Constructor Summary

Constructors
Constructor
Description
`MeasurementData()`

## Method Summary

Modifier and Type
Method
Description
`void`
`define(JmolMeasurementClient client, ModelSet modelSet)`
called by the client to generate a set of measurements
`Object`
`getMeasurements(boolean asFloatArray, boolean asMinArray)`
if this is the client, then this method can be called to get the result vector, either as a string or as an array.
`MeasurementData`
`init(String id, Viewer vwr, Lst<Object> points)`
`void`
`processNextMeasure(MeasurementData md, Measurement m)`
if this is the client, then this method is called by MeasurementData when a measurement is ready
`MeasurementData`
`set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)`
`MeasurementData`
`setModelSet(ModelSet m)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bsSelected

public BS bsSelected

### points

public Lst<Object> points

### mustBeConnected

public boolean mustBeConnected

### mustNotBeConnected

public boolean mustNotBeConnected

### tickInfo

public TickInfo tickInfo

### tokAction

public int tokAction

### radiusData

public RadiusData radiusData

### strFormat

public String strFormat

### property

public String property

### note

public String note

### isAll

public boolean isAll

### colix

public short colix

### intramolecular

public Boolean intramolecular

### mad

public int mad

### thisID

public String thisID

### text

public Text text

### units

public String units

### fixedValue

public float fixedValue

### htMin

public Map<String,Integer> htMin

### modelIndex

public int modelIndex

## Constructor Details

### MeasurementData

public MeasurementData()

## Method Details

### init

public MeasurementData init(String id, Viewer vwr, Lst<Object> points)

### setModelSet

public MeasurementData setModelSet(ModelSet m)

### set

public MeasurementData set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)

### processNextMeasure

public void processNextMeasure(MeasurementData md, Measurement m)
if this is the client, then this method is called by MeasurementData when a measurement is ready

Specified by:
  `processNextMeasure` in interface `JmolMeasurementClient`
Parameters:
  `m` -

### getMeasurements

public Object getMeasurements(boolean asFloatArray, boolean asMinArray)
if this is the client, then this method can be called to get the result vector, either as a string or as an array.

Parameters:
  `asFloatArray` -
  `asMinArray` - array of minimum of a given atom type
Returns:
  Vector of formatted Strings or array of minimum-distance values

### define

public void define(JmolMeasurementClient client, ModelSet modelSet)
called by the client to generate a set of measurements

Parameters:
  `client` - or null to specify this to be our own client
  `modelSet` -